org.icefaces.ace.component.tooltip

## Interface ITooltip

- All Known Implementing Classes:
    Tooltip, TooltipBase

      public interface ITooltip

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.MethodExpression` | `getDelegateDisplayListener()`
    `javax.el.MethodExpression` | `getDisplayListener()`
    `javax.el.ValueExpression` | `getFetch()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getForContainer()`
    `java.lang.String` | `getForDelegate()`
    `java.lang.String` | `getForElement()`
    `int` | `getHideDelay()`
    `java.lang.String` | `getHideEffect()`
    `int` | `getHideEffectLength()`
    `java.lang.String` | `getHideEvent()`
    `java.lang.String` | `getPosition()`
    `int` | `getShowDelay()`
    `java.lang.String` | `getShowEffect()`
    `int` | `getShowEffectLength()`
    `java.lang.String` | `getShowEvent()`
    `java.lang.Object` | `getStore()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTargetPosition()`
    `java.lang.String` | `getWidgetVar()`
    `java.lang.Boolean` | `isCancelDisplay()`
    `boolean` | `isGlobal()`
    `boolean` | `isSpeechBubble()`
    `void` | `setCancelDisplay(java.lang.Boolean cancelDisplay)`
    `void` | `setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)`
    `void` | `setDisplayListener(javax.el.MethodExpression displayListener)`
    `void` | `setFetch(javax.el.ValueExpression fetch)`
    `void` | `setFor(java.lang.String forValue)`
    `void` | `setForContainer(java.lang.String forContainer)`
    `void` | `setForDelegate(java.lang.String forDelegate)`
    `void` | `setForElement(java.lang.String forElement)`
    `void` | `setGlobal(boolean global)`
    `void` | `setHideDelay(int hideDelay)`
    `void` | `setHideEffect(java.lang.String hideEffect)`
    `void` | `setHideEffectLength(int hideEffectLength)`
    `void` | `setHideEvent(java.lang.String hideEvent)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setShowDelay(int showDelay)`
    `void` | `setShowEffect(java.lang.String showEffect)`
    `void` | `setShowEffectLength(int showEffectLength)`
    `void` | `setShowEvent(java.lang.String showEvent)`
    `void` | `setSpeechBubble(boolean speechBubble)`
    `void` | `setStore(java.lang.Object store)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTargetPosition(java.lang.String targetPosition)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setDelegateDisplayListener

          void setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)

    - #### getDelegateDisplayListener

          javax.el.MethodExpression getDelegateDisplayListener()

    - #### setDisplayListener

          void setDisplayListener(javax.el.MethodExpression displayListener)

    - #### getDisplayListener

          javax.el.MethodExpression getDisplayListener()

    - #### setFetch

          void setFetch(javax.el.ValueExpression fetch)

    - #### getFetch

          javax.el.ValueExpression getFetch()

    - #### setFor

          void setFor(java.lang.String forValue)

    - #### getFor

          java.lang.String getFor()

    - #### setForContainer

          void setForContainer(java.lang.String forContainer)

    - #### getForContainer

          java.lang.String getForContainer()

    - #### setForDelegate

          void setForDelegate(java.lang.String forDelegate)

    - #### getForDelegate

          java.lang.String getForDelegate()

    - #### setForElement

          void setForElement(java.lang.String forElement)

    - #### getForElement

          java.lang.String getForElement()

    - #### setGlobal

          void setGlobal(boolean global)

    - #### isGlobal

          boolean isGlobal()

    - #### setHideDelay

          void setHideDelay(int hideDelay)

    - #### getHideDelay

          int getHideDelay()

    - #### setHideEffect

          void setHideEffect(java.lang.String hideEffect)

    - #### getHideEffect

          java.lang.String getHideEffect()

    - #### setHideEffectLength

          void setHideEffectLength(int hideEffectLength)

    - #### getHideEffectLength

          int getHideEffectLength()

    - #### setHideEvent

          void setHideEvent(java.lang.String hideEvent)

    - #### getHideEvent

          java.lang.String getHideEvent()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setShowDelay

          void setShowDelay(int showDelay)

    - #### getShowDelay

          int getShowDelay()

    - #### setShowEffect

          void setShowEffect(java.lang.String showEffect)

    - #### getShowEffect

          java.lang.String getShowEffect()

    - #### setShowEffectLength

          void setShowEffectLength(int showEffectLength)

    - #### getShowEffectLength

          int getShowEffectLength()

    - #### setShowEvent

          void setShowEvent(java.lang.String showEvent)

    - #### getShowEvent

          java.lang.String getShowEvent()

    - #### setSpeechBubble

          void setSpeechBubble(boolean speechBubble)

    - #### isSpeechBubble

          boolean isSpeechBubble()

    - #### setStore

          void setStore(java.lang.Object store)

    - #### getStore

          java.lang.Object getStore()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTargetPosition

          void setTargetPosition(java.lang.String targetPosition)

    - #### getTargetPosition

          java.lang.String getTargetPosition()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setCancelDisplay

          void setCancelDisplay(java.lang.Boolean cancelDisplay)

    - #### isCancelDisplay

          java.lang.Boolean isCancelDisplay()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.